<?php
/**
 * [PHPFOX_HEADER]
 */

defined('PHPFOX') or exit('NO DICE!');
class flymenusbar_Component_Controller_Admincp_Index extends Phpfox_Component
{
	/**
	 * Class process method wnich is used to execute this component.
	 */
	public function process()
	{
		$this->template()->setBreadCrumb(Phpfox::getPhrase('flymenusbar.manage_themes'));
        $oTheme = phpfox::getService('flymenusbar.theme');
        if($this->request()->get('save') && $_POST)
        {
            $sDefaultTheme = $this->request()->get('default');
            if(!empty($sDefaultTheme))
            {
                if($oTheme->setDefaultTheme($sDefaultTheme))
                {
                    $this->url()->send('admincp.flymenusbar',array(),Phpfox::getPhrase('flymenusbar.successfully_updated'));
                }
                else
                {
                    $this->url()->send('admincp.flymenusbar',array(),Phpfox::getPhrase('flymenusbar.fail_updated'));
                }
            }
        }
        $aThemes = $oTheme->getThemes();
        $sDefault = $oTheme->getDefaultTheme();
        $sPreviewImg = $oTheme->getPreviewImage($sDefault);
        $iTotalTheme =  count($aThemes)>5?count($aThemes):5;
        $sThemeDirectory = phpfox::getParam('core.path').'module/flymenusbar/static/themes/%s/preview.png';
        $this->template()->assign(array(
            'aThemes'=>$aThemes,
            'iTotalTheme' =>$iTotalTheme,
            'sDefault' =>$sDefault,
            'sPreviewImg' =>$sPreviewImg,
            'sThemeDirectory' =>$sThemeDirectory,
        ))
        ->setHeader(array(
            'admin.css'=>'module_flymenusbar',
            'admin.js'=>'module_flymenusbar',
            '<script type="text/javascript">var sThemDirectory = "'.$sThemeDirectory.'";</script>',
        ))
        ;
	}
	
	/**
	 * Garbage collector. Is executed after this class has completed
	 * its job and the template has also been displayed.
	 */
	public function clean()
	{
		(($sPlugin = Phpfox_Plugin::get('flymenusbar.component_controller_admincp_index_clean')) ? eval($sPlugin) : false);
	}
}

?>
