<?php

defined('PHPFOX') or exit('No dice!');
class flymenusbar_Component_Block_flymenusbar extends Phpfox_Component
{
	public function process()
	{
        $iUserId = phpfox::getUserId();
        $oTheme = phpfox::getService('flymenusbar.theme');
        $sDefault = $oTheme->getDefaultTheme();
        $sThemeDirectory = phpfox::getParam('core.path').'module/flymenusbar/static/themes/%s/';
        $sThemeDirectory = sprintf($sThemeDirectory,$sDefault);
        if(empty($sDefault))
        {
            $sUserAvatar = phpfox::getParam('core.path').'module/flymenusbar/static/image/noimg.png';    
        }
        else
        {
            $sUserAvatar = $sThemeDirectory.'images/noimg.png';
        }
        $sUserName = "";
        $sFullName = "";
        if($iUserId >0)
        {
            $sUserName = phpfox::getUserBy('user_name');
            $sFullName = phpfox::getUserBy('full_name');
            $sPic = phpfox::getUserBy('user_image');  
            if(!empty($sPic))
            {
                $sUserAvatar = phpfox::getParam('core.path').'file/pic/user/'.sprintf($sPic,'_20');    
            }
            
        }
        $oTpl = phpfox::getLib('template');
        $aFlyMenus = $oTpl->getMenu('main');
        $aFlyAppsMenus = $oTpl->getMenu('explore');
        $aFlyRightMenus = $oTpl->getMenu('main_right');
		$this->template()->assign(
            array(
                'sCoreUrl' => phpfox::getParam('core.path'),
                'sSiteName' => phpfox::getParam('core.site_title'),
                'sUserAvatar' => $sUserAvatar,
                'sUserName' => $sUserName,
                'iUserId' => $iUserId,
                'aFlyMenus' => $aFlyMenus,
                'aFlyAppsMenus' => $aFlyAppsMenus, 
                'aFlyRightMenus' => $aFlyRightMenus, 
                'sFlyDefaultTheme' => $sDefault, 
                'sThemeDirectory' => $sThemeDirectory, 
            )
        );
	}
}
?>
