<?php
defined('PHPFOX') or exit('NO DICE!');

class flymenusbar_Service_Theme extends Phpfox_Service 
{
    
    
    public function getThemes()                                                
    {
         $sThemeDirectory = PHPFOX_DIR.'module'.PHPFOX_DS.'flymenusbar'.PHPFOX_DS.'static'.PHPFOX_DS.'themes';
         $aThemes = scandir($sThemeDirectory);
         if(count($aThemes))
         {
             foreach($aThemes as $iKey =>$aTheme)
             {
                 if(!is_dir($sThemeDirectory.PHPFOX_DS.$aTheme) || empty($aTheme)|| $aTheme =='.' || $aTheme == '..')
                 {
                     unset($aThemes[$iKey]);
                 }
             }
         }
         return $aThemes;
    }
    public function setDefaultTheme($sName = "default")
    {
        $aUpdate['value_actual'] = $sName;
        $aUpdate['value_default'] = $sName;
        $bResult = $this->database()->update(phpfox::getT('setting'),$aUpdate,'module_id = "flymenusbar" AND product_id = "flymenusbar" AND var_name="default_style"');
        $this->cache()->remove();
        return $bResult;
        
    }
    public function getDefaultTheme()
    {
        $sName = phpfox::getParam('flymenusbar.default_style');
        if(empty($sName))
        {
            $sName = "default";
        }
        return $sName;
    }
    public function getPreviewImage($sName ="default")
    {
        $sThemeDirectory = phpfox::getParam('core.path').'module/flymenusbar/static/themes/'.$sName.'/preview.png';
        return $sThemeDirectory;
    }
    public function __call($sMethod, $aArguments)
    {
        if ($sPlugin = Phpfox_Plugin::get('flymenusbar.service_theme__call'))
        {
            return eval($sPlugin);
        }
        Phpfox_Error::trigger('Call to undefined method ' . __CLASS__ . '::' . $sMethod . '()', E_USER_ERROR);
    }    
}

?>
