var $bNoCloseFlyNotification = false;
$Core.flymenusbar={
    bDebug: false,
    init:function(options)
    {
        $("ul.flymenusbar li.flymenu").hover(function() { 
        $(this).find("ul.flymenusbar_subnav").slideDown('fast').show(); //Drop down the subnav on click
        $(this).hover(function() {
        }, function(){
            $(this).find("ul.flymenusbar_subnav").slideUp('fast'); //When the mouse hovers out of the subnav, move it back up
        });
        }).hover(function() {
            $(this).addClass("subhover"); //On hover over, add class "subhover"
        }, function(){    //On Hover Out
            $(this).removeClass("subhover"); //On hover out, remove class "subhover"
        }); 
        $(window).scroll(function() { 
           if (!$Core.flymenusbar.isInView('#header_menu'))
           {
               $Core.flymenusbar.show();  
           }    
           else
           {
               $Core.flymenusbar.hide();  
           }
          
        });
        if (!$Core.flymenusbar.isInView('#header_menu'))
        {
            $Core.flymenusbar.show();  
        }    
        else
        {
            $Core.flymenusbar.hide();  
        }
        this.unbind();
        this.bind();
    },
    isInView:function(elem)
    {
        if (!$Core.exists(elem)){
             return false;
        }
        
        var docViewTop = $(window).scrollTop();
        var docViewBottom = docViewTop + $(window).height();

        var elemTop = $(elem).offset().top;
        var elemBottom = elemTop + $(elem).height();

        return ((docViewTop < elemTop) && (docViewBottom > elemBottom));
    },
    bind:function()
    {
       $('.flymenu_user_notification_bar').bind('click',function(){
            $bNoCloseFlyNotification = true;
            $('.flymenu_holder_notify_drop').hide();  
            var $oChildDropData = $(this).find('.flymenu_holder_notify_drop');
            var $oNumberCount = $(this).find('.flymenu_notify_count');
            $oChildDropData.show();
            $Core.ajax($(this).attr('rel'), 
            {
                    params: 
                    {                    
                        'no_page_update': true    
                    },
                    success: function($sData)            
                    {
                        $oChildDropData.find('.flymenu_holder_notify_drop_data').html($sData);
                        $oNumberCount.hide();
                    }
            });
       });
       $('.flymenu_holder_notify_drop').bind('click',function(){
            $bNoCloseFlyNotification = true;
       });
       $((getParam('bJsIsMobile') ? '#content' : 'body')).click(function(){
            if (!$bNoCloseFlyNotification)
            {
                $('.flymenu_holder_notify_drop').hide(); 
            }
            $bNoCloseFlyNotification = false;
       });
     
    },
    unbind:function()
    {
      $('#flymenu_user_notification_bar').unbind('click');
    },
    loadPlugin:function(name,params){
        
    },
    show:function()
    {
        $('#flymenusbar_contenter').fadeIn('slow');
    },
    hide:function()
    {
        $('#flymenusbar_contenter').fadeOut('slow');
    },
    update: function()
    {
        setTimeout('$.ajaxCall("flymenusbar.update", "", "GET");', 1000);
    },
    setTitle: function()
    {
        var iTotal = 0;
        var sTitle = $('title').html();
        
        $('.flymenu_notify_count_number').each(function(){
            iTotal += parseInt($(this).html());
        });
        
        var newTitle = '';        
        var aMatches = sTitle.match(/(\([0-9]*\))/i);
        if (aMatches !== null && isset(aMatches[1])){
            if (iTotal > 0){
                newTitle = '(' + iTotal + ') ' + sTitle.replace(aMatches[1], '');
            }
            else{
            }
        }
        else{
            if (iTotal > 0){
                var NewTitle = document.title.replace('#','');                
               
            }
            else{
            }
        }
        
        if (getParam('notification.notify_ajax_refresh') > 0)
        {
            setTimeout('console.log("calling flymenusbar.update");$.ajaxCall("flymenusbar.update", "", "GET");', (this.bDebug ? 10000 : (getParam('notification.notify_ajax_refresh') * 60000)));
        }
    }
    
}
$Behavior.flymenusbarload = function()
{
    options = {};
    $Core.flymenusbar.init(options);
}

$(function()
{
    $Core.flymenusbar.update();
});