<?php
 /**
* CEOfox
*
* @category   Application_Modules
* @package    FlyMenusBar
* @copyright  Copyright 2011-2012 CEOfox Team
* @license    http://ceofox.com/pages/license
* @author     CEOfox, Inc.
*/
defined('PHPFOX') or exit('No dice!');
?>
<script>$Core.loadStaticFile("{$sThemeDirectory}/flymenusbar.css");</script>

{literal}
<style type="text/css">
ul.flymenusbar
{
    
}
ul.flymenusbar li a:hover
{
   
} 
ul.flymenusbar li span { 
   
}
html ul.flymenusbar li ul.flymenusbar_subnav li a {
   
    
  
}
html ul.flymenusbar li ul.flymenusbar_subnav li a:hover { 
    
}
li.flymenu a.flymenu_user_login
{
    background: url("{/literal}{$sThemeDirectory}{literal}/images/admin-bar-sprite.png?d=11122010") no-repeat scroll left 2px transparent;
    border-left: medium none;
}
li.flymenu a.flymenu_user_login:hover
{
    background-image: url("{/literal}{$sThemeDirectory}{literal}/images/admin-bar-sprite.png?d=11122010");
}
ul.flymenusbar li.menupop a span
{
    display : inline;
    background : url("{/literal}{$sThemeDirectory}{literal}/images/admin-bar-sprite.png?d=11122010") right -58px no-repeat;
    padding-right : .8em;
}
</style>
{/literal}
<div id="flymenusbar_contenter" class="flymenusbar_contenter" style="display:none;" dir="rtl">
<ul class="flymenusbar" id="flymenusbar">
    {if $iUserId >0}
    <li class="flymenu">
        <a class="flymenu_user_login menupop" href="javascript:void(0);" id="flymenu_user_login">
            <span class="flymenu_user_welcome" style="float:right;">
                <img width="16" height="16" class="avatar avatar-16 photo" src="{$sUserAvatar}" alt=""><span class="flymenu_user_welcome_text">{phrase var='flymenusbar.welcome'} {$sUserName}</span>
            </span>
            
        </a> 
        <ul class="flymenusbar_subnav">                                        
            {foreach from=$aFlyRightMenus key=iKey item=aMenu}
                  {if $aMenu.url == 'admincp'} <li><a href="{url link=$aMenu.url}">{phrase var=$aMenu.module'.'$aMenu.var_name}{if isset($aMenu.suffix)}{$aMenu.suffix}{/if} </a> </li>{/if}                    
                    {if isset($aMenu.children) && count($aMenu.children) && is_array($aMenu.children)}
                        {if Phpfox::isUser(true) && $aMenu.url == 'user.setting'}
                           <li><a href="#" onclick="$Core.box('pages.login', 400); return false;">{phrase var='core.login_as_page'}</a></li>
                        {/if}
                        {foreach from=$aMenu.children item=aChild name=child_menu}
                        <li{if $phpfox.iteration.child_menu == 1} class="first"{/if}><a {if $aChild.url == 'pages.login'}id="js_login_as_page"{/if} href="{url link=$aChild.url}"{if $aChild.url == 'profile.designer' || $aChild.url == 'pages.login'} class="no_ajax_link"{/if}>{phrase var=$aChild.module'.'$aChild.var_name}</a></li>
                    {/foreach}
                {/if}
        {/foreach}
        {unset var=$aFlyRightMenus var1=$aMenu}
        </ul>
    </li>
     <li class="flymenu"> 
        <div class="flymenu_user_content_bars"> 
            <div class="flymenu_user_notification_bar" rel="friend.getRequests">
                <img width="22" height="22" class="avatar avatar-16 photo" src="{$sCoreUrl}module/flymenusbar/static/image/friend.png" alt="">
                <span class="flymenu_notify_count">
                    <span class="flymenu_notify_count_number" id="flymenu_total_new_friend_requests" >0</span>
                </span> 
                <div class="flymenu_holder_notify_drop" style="display:none;">
                    <div class="flymenu_holder_notify_drop_content">
                        <div class="flymenu_holder_notify_drop_title">{phrase var='friend.friend_requests'}</div>
                        <div class="flymenu_holder_notify_drop_data">
                            <div class="holder_notify_drop_loader">{img theme='ajax/add.gif'}</div>                                                    
                        </div>
                    </div>                                            
                </div>                                    
            </div>
            <div class="flymenu_user_notification_bar" rel="mail.getLatest">       
                <img width="22" height="22" class="avatar avatar-16 photo" src="{$sCoreUrl}module/flymenusbar/static/image/email.png" alt="">
                <span class="flymenu_notify_count" >
                    <span class="flymenu_notify_count_number" id="flymenu_total_new_email">0</span>    
                </span>  
                <div class="flymenu_holder_notify_drop" style="display:none;">
                    <div class="flymenu_holder_notify_drop_content">
                        <div class="flymenu_holder_notify_drop_title">
                            {if Phpfox::isModule('friend')}
                                <div class="holder_notify_drop_title_link">
                                    <a href="#" onclick="$Core.composeMessage(); return false;">{phrase var='mail.send_a_new_message'}</a>
                                </div>
                            {/if}
                            {phrase var='mail.messages_notify'}            
                        </div>
                        <div class="flymenu_holder_notify_drop_data">
                            <div class="holder_notify_drop_loader">{img theme='ajax/add.gif'}</div>                                                    
                        </div>
                    </div>                                            
                </div>                                    
            </div>
            <div class="flymenu_user_notification_bar" rel="notification.getAll">       
                <img width="22" height="22" class="avatar avatar-16 photo" src="{$sCoreUrl}module/flymenusbar/static/image/notification.png" alt="">
                <span class="flymenu_notify_count">
                     <span class="flymenu_notify_count_number"  id="flymenu_total_notification_notification">0</span>         
                </span>  
                <div class="flymenu_holder_notify_drop" style="display:none;" >
                    <div class="flymenu_holder_notify_drop_content">
                        <div class="flymenu_holder_notify_drop_title">{phrase var='notification.notifications'}</div>
                        <div class="flymenu_holder_notify_drop_data">
                            <div class="holder_notify_drop_loader">{img theme='ajax/add.gif'}</div>                                                    
                        </div>
                    </div>                                            
                </div>                                    
            </div>
         </div>
     </li>
    {/if}
   
    {plugin call='flymenusbar.call_start_menu_bar'}
    {foreach from=$aFlyMenus key=iKey item=aMenu name=menu}
            <li class="flymenu {if ($aMenu.url == 'apps' && count($aInstalledApps)) || (isset($aMenu.children) && count($aMenu.children))} menupop{/if}">
                <a href="{url link=$aMenu.url}">
                    <span>{phrase var=$aMenu.module'.'$aMenu.var_name}{if isset($aMenu.suffix)}{$aMenu.suffix}{/if}</span>
                </a>
                
                {if isset($aMenu.children) && count($aMenu.children)}
                <ul class="flymenusbar_subnav">
                    {foreach from=$aMenu.children item=aChild name=child_menu}
                    <li{if $phpfox.iteration.child_menu == 1} class="first"{/if}><a href="{url link=$aChild.url}">{phrase var=$aChild.module'.'$aChild.var_name}</a></li>
                    {/foreach}
                </ul>
                {else}                                
                    {if $aMenu.url == 'apps' && count($aInstalledApps)}
                    <ul class="flymenusbar_subnav">
                        {foreach from=$aInstalledApps item=aInstalledApp}
                        <li><a href="{permalink module='apps' id=$aInstalledApp.app_id title=$aInstalledApp.app_title}">{img server_id=0 path='app.url_image' file=$aInstalledApp.image_path suffix='_square' max_width=16 max_height=16 title=$aInstalledApp.app_title class='v_middle'} {$aInstalledApp.app_title|clean}</a></li>
                        {/foreach}
                    </ul>
                    {/if}
                {/if}
            </li>
    {/foreach}    
    {unset var=$aFlyMenus var=$aMenu}
     {if count($aFlyAppsMenus)}
    <li class="flymenu menupop">
        <a href="#" onclick="return false;"><span>{phrase var='core.explore'}</span></a>
        <ul class="flymenusbar_subnav">
        {foreach from=$aFlyAppsMenus key=iAppKey item=aAppMenu name=app_menu}
            <li><a href="{url link=$aAppMenu.url}" class="ajax_link">{phrase var=$aAppMenu.module'.'$aAppMenu.var_name}</a></li>
        {/foreach}
        </ul>
    </li>
    {/if}
    {unset var=$aFlyAppsMenus}                            
    {plugin call='flymenusbar.call_end_menu_bar'}
</ul>

</div>


<script>$Core.loadStaticFile("{$sCoreUrl}module/flymenusbar/static/jscript/flymenusbar.js");</script>  